Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 381879 - sys-apps/smartmontools-5.41: smartd init script should change opts variable to use either extra_commands or extra_started_commands
Summary: sys-apps/smartmontools-5.41: smartd init script should change opts variable t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL: http://smartmontools.sourceforge.net/
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2011-09-05 07:37 UTC by teidakankan
Modified: 2011-09-15 07:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge info (emerge_info.txt,15.80 KB, text/plain)
2011-09-05 07:38 UTC, teidakankan
Details
smartd.rc (smartd.rc,478 bytes, patch)
2011-09-14 22:35 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description teidakankan 2011-09-05 07:37:57 UTC
/etc/init.d/smartd restart
 * Caching service dependencies ...                                                                                        [ ok ]
 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.
 * Stopping S.M.A.R.T. monitoring daemon ...                                                                               [ ok ]
 * Use of the opts variable is deprecated and will be
 * removed in the future.
 * Please use extra_commands or extra_started_commands.
 * Starting S.M.A.R.T. monitoring daemon ... 

Reproducible: Always




Reference Bug #381635
Comment 1 teidakankan 2011-09-05 07:38:25 UTC
Created attachment 285587 [details]
emerge info
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2011-09-14 22:35:38 UTC
Created attachment 286479 [details, diff]
smartd.rc

This patch replaces the deprecated ${opts} variable, removes the deprecated --oknodo option and the no longer necessary --stop option from the reload function.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2011-09-14 22:36:41 UTC
Oops, forgot to give the file a .diff ending. But it's still a patch :)
Comment 4 SpanKY gentoo-dev 2011-09-15 04:20:38 UTC
Comment on attachment 286479 [details, diff]
smartd.rc

looks fine ... feel free to commit
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2011-09-15 07:59:28 UTC
+*smartmontools-5.41-r1 (15 Sep 2011)
+
+  15 Sep 2011; Lars Wendler <polynomial-c@gentoo.org>
+  -smartmontools-5.41.ebuild, +smartmontools-5.41-r1.ebuild, files/smartd.rc:
+  non-maintainer commit: Removed deprecated --oknodo option (bug #377769).
+  Replaced deprecated opts variable (bug #381879) and removed --stop option
+  from reload function. All done with kind permission from vapier.
+